---
- name: to install tomcat and deploy app
  hosts: all_slaves
  become: yes
  become_method: sudo

  tasks:
    - name: to install java
      yum:
        name: java
        state: installed

    - name: too install tomcat
      yum:
        name: tomcat
        state: installed

    - name: to start tomcat service
      service:
        name: tomcat
        state: started

    - name: to deploy app
      copy: 
        src: target/mvn-hello-world.war
        dest: /usr/share/tomcat/webapps/
        owner: root
        group: root
        mode: 0777
